## Function to calculate the mean network density for a given set of within-household networks
##
## Author: Nele Goeyvaerts
##
## Update: 11/04/2014
######################################################################################################


density <- function(HH_network){

	hh_id <- HH_network %v% "hh_id"
	hh_id_unique <- hh_id[!duplicated(hh_id)]
	#hh_size <- HH_global %v% "hh_size"
	#hh_size_unique <- hh_size[!duplicated(hh_id)]
	nrHH <- length(hh_id_unique)
	densityPerHH <- rep(NA, nrHH)

	for (i in 1:nrHH){
		
		HH <- NA
		HH <- HH_network %s% which(hh_id == hh_id_unique[i])	# a single within-HH network
		densityPerHH[i] <- network.density(HH)
		#densityPerHH[i] <- network.edgecount(HH)/choose(hh_size_unique[i], 2)	# doesn't speed up calculations
		#print(c(i, densityPerHH[i]))

		}

	return(mean(densityPerHH))

}